path: /build/build/libxml2-dev-libs-2-2.11.5+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env:
  - JOBS=3
  - LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages"
  - LUET_PORTAGE_IGNORE_TAR_WARNING=1
  - LUET_PORTAGE_PKGMETA=1
  - LUET_PORTAGE_PKGFILES=1
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude:
  - eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/libxml2 && luet-portage --dir
    /pkgdir/libxml2 dev-libs/libxml2:2
  - rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:4fc583639e720f7588a6eb65bf5a4825f9c30b4cc313af1d9f227888e458518a
  package:
    name: libxml2
    version: 2.11.5+1
    category: dev-libs-2
    use_flags:
    - -lzma
    - -python_single_target_python3_10
    - -python_single_target_python3_7
    - -python_single_target_python3_8
    - icu
    - python_single_target_python3_9
    - readline
    requires:
    - name: funtoo-base
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: XML C parser and toolkit
    uri:
    - https://gitlab.gnome.org/GNOME/libxml2/-/wikis/home
    license: MIT
    buildtimestamp: 2024-02-02 13:16:15.870628551 +0000 UTC m=+38.546490621
    labels:
      BDEPEND: virtual/pkgconfig dev-util/gtk-doc-am >=app-portage/elt-patches-20170815
        !<sys-devel/gettext-0.18.1.1-r3 || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15
        ) >=sys-devel/autoconf-2.69 >=sys-devel/libtool-2.4 app-arch/xz-utils
      DEPEND: virtual/libiconv >=sys-libs/zlib-1.2.8-r1:= icu? ( >=dev-libs/icu-51.2-r1:=
        ) lzma? ( >=app-arch/xz-utils-5.0.5-r1:= ) readline? ( sys-libs/readline:=
        ) python_single_target_python3_10? ( dev-lang/python:3.10 >=dev-lang/python-exec-2:=[python_targets_python3_10]
        ) python_single_target_python3_7? ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7]
        ) python_single_target_python3_9? ( dev-lang/python:3.9 >=dev-lang/python-exec-2:=[python_targets_python3_9]
        ) python_single_target_python3_8? ( dev-lang/python:3.8 >=dev-lang/python-exec-2:=[python_targets_python3_8]
        )
      IUSE: debug examples +ftp icu +lzma +python readline static-libs test python_single_target_python3_10
        python_single_target_python3_7 python_single_target_python3_9 python_single_target_python3_8
        python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
        python_targets_python3_8
      RDEPEND: virtual/libiconv >=sys-libs/zlib-1.2.8-r1:= icu? ( >=dev-libs/icu-51.2-r1:=
        ) lzma? ( >=app-arch/xz-utils-5.0.5-r1:= ) readline? ( sys-libs/readline:=
        )
      emerge.packages: dev-libs/libxml2:2
      kit: core-kit
      original.package.name: dev-libs/libxml2
      original.package.slot: "2"
      original.package.version: 2.11.5
    treedir: /build/packages
  package_dir: /pkgdir/libxml2
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 001068bb944f01ca7bed6929ab9109775fd74b86762b00079ecac923d6f00ec7
compressiontype: zstd
files:
- usr/bin/xml2-config
- usr/bin/xmlcatalog
- usr/bin/xmllint
- usr/include/libxml2/libxml/HTMLparser.h
- usr/include/libxml2/libxml/HTMLtree.h
- usr/include/libxml2/libxml/SAX.h
- usr/include/libxml2/libxml/SAX2.h
- usr/include/libxml2/libxml/c14n.h
- usr/include/libxml2/libxml/catalog.h
- usr/include/libxml2/libxml/chvalid.h
- usr/include/libxml2/libxml/debugXML.h
- usr/include/libxml2/libxml/dict.h
- usr/include/libxml2/libxml/encoding.h
- usr/include/libxml2/libxml/entities.h
- usr/include/libxml2/libxml/globals.h
- usr/include/libxml2/libxml/hash.h
- usr/include/libxml2/libxml/list.h
- usr/include/libxml2/libxml/nanoftp.h
- usr/include/libxml2/libxml/nanohttp.h
- usr/include/libxml2/libxml/parser.h
- usr/include/libxml2/libxml/parserInternals.h
- usr/include/libxml2/libxml/pattern.h
- usr/include/libxml2/libxml/relaxng.h
- usr/include/libxml2/libxml/schemasInternals.h
- usr/include/libxml2/libxml/schematron.h
- usr/include/libxml2/libxml/threads.h
- usr/include/libxml2/libxml/tree.h
- usr/include/libxml2/libxml/uri.h
- usr/include/libxml2/libxml/valid.h
- usr/include/libxml2/libxml/xinclude.h
- usr/include/libxml2/libxml/xlink.h
- usr/include/libxml2/libxml/xmlIO.h
- usr/include/libxml2/libxml/xmlautomata.h
- usr/include/libxml2/libxml/xmlerror.h
- usr/include/libxml2/libxml/xmlexports.h
- usr/include/libxml2/libxml/xmlmemory.h
- usr/include/libxml2/libxml/xmlmodule.h
- usr/include/libxml2/libxml/xmlreader.h
- usr/include/libxml2/libxml/xmlregexp.h
- usr/include/libxml2/libxml/xmlsave.h
- usr/include/libxml2/libxml/xmlschemas.h
- usr/include/libxml2/libxml/xmlschemastypes.h
- usr/include/libxml2/libxml/xmlstring.h
- usr/include/libxml2/libxml/xmlunicode.h
- usr/include/libxml2/libxml/xmlversion.h
- usr/include/libxml2/libxml/xmlwriter.h
- usr/include/libxml2/libxml/xpath.h
- usr/include/libxml2/libxml/xpathInternals.h
- usr/include/libxml2/libxml/xpointer.h
- usr/lib64/cmake/libxml2/libxml2-config.cmake
- usr/lib64/libxml2.so
- usr/lib64/libxml2.so.2
- usr/lib64/libxml2.so.2.11.5
- usr/lib64/pkgconfig/libxml-2.0.pc
- usr/share/aclocal/libxml.m4
- usr/share/doc/libxml2-2.11.5/NEWS.bz2
- usr/share/doc/libxml2-2.11.5/README.md.bz2
- usr/share/doc/libxml2-2.11.5/README.zOS.bz2
- usr/share/doc/libxml2-2.11.5/tutorial/apa.html
- usr/share/doc/libxml2-2.11.5/tutorial/apb.html
- usr/share/doc/libxml2-2.11.5/tutorial/apc.html
- usr/share/doc/libxml2-2.11.5/tutorial/apd.html
- usr/share/doc/libxml2-2.11.5/tutorial/ape.html
- usr/share/doc/libxml2-2.11.5/tutorial/apf.html
- usr/share/doc/libxml2-2.11.5/tutorial/apg.html
- usr/share/doc/libxml2-2.11.5/tutorial/aph.html
- usr/share/doc/libxml2-2.11.5/tutorial/api.html
- usr/share/doc/libxml2-2.11.5/tutorial/ar01s02.html
- usr/share/doc/libxml2-2.11.5/tutorial/ar01s03.html
- usr/share/doc/libxml2-2.11.5/tutorial/ar01s04.html
- usr/share/doc/libxml2-2.11.5/tutorial/ar01s05.html
- usr/share/doc/libxml2-2.11.5/tutorial/ar01s06.html
- usr/share/doc/libxml2-2.11.5/tutorial/ar01s07.html
- usr/share/doc/libxml2-2.11.5/tutorial/ar01s08.html
- usr/share/doc/libxml2-2.11.5/tutorial/ar01s09.html
- usr/share/doc/libxml2-2.11.5/tutorial/images/blank.png
- usr/share/doc/libxml2-2.11.5/tutorial/images/callouts/1.png
- usr/share/doc/libxml2-2.11.5/tutorial/images/callouts/10.png
- usr/share/doc/libxml2-2.11.5/tutorial/images/callouts/2.png
- usr/share/doc/libxml2-2.11.5/tutorial/images/callouts/3.png
- usr/share/doc/libxml2-2.11.5/tutorial/images/callouts/4.png
- usr/share/doc/libxml2-2.11.5/tutorial/images/callouts/5.png
- usr/share/doc/libxml2-2.11.5/tutorial/images/callouts/6.png
- usr/share/doc/libxml2-2.11.5/tutorial/images/callouts/7.png
- usr/share/doc/libxml2-2.11.5/tutorial/images/callouts/8.png
- usr/share/doc/libxml2-2.11.5/tutorial/images/callouts/9.png
- usr/share/doc/libxml2-2.11.5/tutorial/images/caution.png
- usr/share/doc/libxml2-2.11.5/tutorial/images/draft.png
- usr/share/doc/libxml2-2.11.5/tutorial/images/home.png
- usr/share/doc/libxml2-2.11.5/tutorial/images/important.png
- usr/share/doc/libxml2-2.11.5/tutorial/images/next.png
- usr/share/doc/libxml2-2.11.5/tutorial/images/note.png
- usr/share/doc/libxml2-2.11.5/tutorial/images/prev.png
- usr/share/doc/libxml2-2.11.5/tutorial/images/tip.png
- usr/share/doc/libxml2-2.11.5/tutorial/images/toc-blank.png
- usr/share/doc/libxml2-2.11.5/tutorial/images/toc-minus.png
- usr/share/doc/libxml2-2.11.5/tutorial/images/toc-plus.png
- usr/share/doc/libxml2-2.11.5/tutorial/images/up.png
- usr/share/doc/libxml2-2.11.5/tutorial/images/warning.png
- usr/share/doc/libxml2-2.11.5/tutorial/includeaddattribute.c.bz2
- usr/share/doc/libxml2-2.11.5/tutorial/includeaddkeyword.c.bz2
- usr/share/doc/libxml2-2.11.5/tutorial/includeconvert.c.bz2
- usr/share/doc/libxml2-2.11.5/tutorial/includegetattribute.c.bz2
- usr/share/doc/libxml2-2.11.5/tutorial/includekeyword.c.bz2
- usr/share/doc/libxml2-2.11.5/tutorial/includexpath.c.bz2
- usr/share/doc/libxml2-2.11.5/tutorial/index.html
- usr/share/doc/libxml2-2.11.5/tutorial/ix01.html
- usr/share/doc/libxml2-2.11.5/xmlcatalog.html
- usr/share/doc/libxml2-2.11.5/xmllint.html
- usr/share/gtk-doc/html/libxml2/general.html
- usr/share/gtk-doc/html/libxml2/home.png
- usr/share/gtk-doc/html/libxml2/index.html
- usr/share/gtk-doc/html/libxml2/left.png
- usr/share/gtk-doc/html/libxml2/libxml2-HTMLparser.html
- usr/share/gtk-doc/html/libxml2/libxml2-HTMLtree.html
- usr/share/gtk-doc/html/libxml2/libxml2-SAX.html
- usr/share/gtk-doc/html/libxml2/libxml2-SAX2.html
- usr/share/gtk-doc/html/libxml2/libxml2-c14n.html
- usr/share/gtk-doc/html/libxml2/libxml2-catalog.html
- usr/share/gtk-doc/html/libxml2/libxml2-chvalid.html
- usr/share/gtk-doc/html/libxml2/libxml2-debugXML.html
- usr/share/gtk-doc/html/libxml2/libxml2-dict.html
- usr/share/gtk-doc/html/libxml2/libxml2-encoding.html
- usr/share/gtk-doc/html/libxml2/libxml2-entities.html
- usr/share/gtk-doc/html/libxml2/libxml2-globals.html
- usr/share/gtk-doc/html/libxml2/libxml2-hash.html
- usr/share/gtk-doc/html/libxml2/libxml2-list.html
- usr/share/gtk-doc/html/libxml2/libxml2-nanoftp.html
- usr/share/gtk-doc/html/libxml2/libxml2-nanohttp.html
- usr/share/gtk-doc/html/libxml2/libxml2-parser.html
- usr/share/gtk-doc/html/libxml2/libxml2-parserInternals.html
- usr/share/gtk-doc/html/libxml2/libxml2-pattern.html
- usr/share/gtk-doc/html/libxml2/libxml2-relaxng.html
- usr/share/gtk-doc/html/libxml2/libxml2-schemasInternals.html
- usr/share/gtk-doc/html/libxml2/libxml2-schematron.html
- usr/share/gtk-doc/html/libxml2/libxml2-threads.html
- usr/share/gtk-doc/html/libxml2/libxml2-tree.html
- usr/share/gtk-doc/html/libxml2/libxml2-uri.html
- usr/share/gtk-doc/html/libxml2/libxml2-valid.html
- usr/share/gtk-doc/html/libxml2/libxml2-xinclude.html
- usr/share/gtk-doc/html/libxml2/libxml2-xlink.html
- usr/share/gtk-doc/html/libxml2/libxml2-xmlIO.html
- usr/share/gtk-doc/html/libxml2/libxml2-xmlautomata.html
- usr/share/gtk-doc/html/libxml2/libxml2-xmlerror.html
- usr/share/gtk-doc/html/libxml2/libxml2-xmlexports.html
- usr/share/gtk-doc/html/libxml2/libxml2-xmlmemory.html
- usr/share/gtk-doc/html/libxml2/libxml2-xmlmodule.html
- usr/share/gtk-doc/html/libxml2/libxml2-xmlreader.html
- usr/share/gtk-doc/html/libxml2/libxml2-xmlregexp.html
- usr/share/gtk-doc/html/libxml2/libxml2-xmlsave.html
- usr/share/gtk-doc/html/libxml2/libxml2-xmlschemas.html
- usr/share/gtk-doc/html/libxml2/libxml2-xmlschemastypes.html
- usr/share/gtk-doc/html/libxml2/libxml2-xmlstring.html
- usr/share/gtk-doc/html/libxml2/libxml2-xmlunicode.html
- usr/share/gtk-doc/html/libxml2/libxml2-xmlversion.html
- usr/share/gtk-doc/html/libxml2/libxml2-xmlwriter.html
- usr/share/gtk-doc/html/libxml2/libxml2-xpath.html
- usr/share/gtk-doc/html/libxml2/libxml2-xpathInternals.html
- usr/share/gtk-doc/html/libxml2/libxml2-xpointer.html
- usr/share/gtk-doc/html/libxml2/libxml2.devhelp2
- usr/share/gtk-doc/html/libxml2/right.png
- usr/share/gtk-doc/html/libxml2/style.css
- usr/share/gtk-doc/html/libxml2/up.png
- usr/share/libxml2/bindings/libxml2-python-2.11.5.tar.gz
- usr/share/man/man1/xml2-config.1.bz2
- usr/share/man/man1/xmlcatalog.1.bz2
- usr/share/man/man1/xmllint.1.bz2
- var/db/pkg/dev-libs/libxml2-2.11.5/BDEPEND
- var/db/pkg/dev-libs/libxml2-2.11.5/BUILD_TIME
- var/db/pkg/dev-libs/libxml2-2.11.5/CATEGORY
- var/db/pkg/dev-libs/libxml2-2.11.5/CBUILD
- var/db/pkg/dev-libs/libxml2-2.11.5/CFLAGS
- var/db/pkg/dev-libs/libxml2-2.11.5/CHOST
- var/db/pkg/dev-libs/libxml2-2.11.5/CONTENTS
- var/db/pkg/dev-libs/libxml2-2.11.5/COUNTER
- var/db/pkg/dev-libs/libxml2-2.11.5/CXXFLAGS
- var/db/pkg/dev-libs/libxml2-2.11.5/DEFINED_PHASES
- var/db/pkg/dev-libs/libxml2-2.11.5/DEPEND
- var/db/pkg/dev-libs/libxml2-2.11.5/DESCRIPTION
- var/db/pkg/dev-libs/libxml2-2.11.5/EAPI
- var/db/pkg/dev-libs/libxml2-2.11.5/FEATURES
- var/db/pkg/dev-libs/libxml2-2.11.5/HOMEPAGE
- var/db/pkg/dev-libs/libxml2-2.11.5/INHERITED
- var/db/pkg/dev-libs/libxml2-2.11.5/IUSE
- var/db/pkg/dev-libs/libxml2-2.11.5/IUSE_EFFECTIVE
- var/db/pkg/dev-libs/libxml2-2.11.5/KEYWORDS
- var/db/pkg/dev-libs/libxml2-2.11.5/LDFLAGS
- var/db/pkg/dev-libs/libxml2-2.11.5/LICENSE
- var/db/pkg/dev-libs/libxml2-2.11.5/NEEDED
- var/db/pkg/dev-libs/libxml2-2.11.5/PDEPEND
- var/db/pkg/dev-libs/libxml2-2.11.5/PF
- var/db/pkg/dev-libs/libxml2-2.11.5/PROVIDES
- var/db/pkg/dev-libs/libxml2-2.11.5/RDEPEND
- var/db/pkg/dev-libs/libxml2-2.11.5/REQUIRES
- var/db/pkg/dev-libs/libxml2-2.11.5/RESTRICT
- var/db/pkg/dev-libs/libxml2-2.11.5/SIZE
- var/db/pkg/dev-libs/libxml2-2.11.5/SLOT
- var/db/pkg/dev-libs/libxml2-2.11.5/USE
- var/db/pkg/dev-libs/libxml2-2.11.5/environment.bz2
- var/db/pkg/dev-libs/libxml2-2.11.5/libxml2-2.11.5.ebuild
- var/db/pkg/dev-libs/libxml2-2.11.5/repository
package_cacheimage: ""
runtime:
  name: libxml2
  version: 2.11.5+1
  category: dev-libs-2
  use_flags:
  - -lzma
  - -python_single_target_python3_10
  - -python_single_target_python3_7
  - -python_single_target_python3_8
  - icu
  - python_single_target_python3_9
  - readline
  requires:
  - name: icu
    version: '>=0'
    category: dev-libs
  - name: readline
    version: '>=0'
    category: sys-libs
  - name: zlib
    version: '>=0'
    category: sys-libs
  - name: libiconv
    version: '>=0'
    category: virtual
  - name: libxml2-python
    version: '>=0'
    category: dev-python
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: XML C parser and toolkit
  uri:
  - https://gitlab.gnome.org/GNOME/libxml2/-/wikis/home
  license: MIT
  labels:
    BDEPEND: virtual/pkgconfig dev-util/gtk-doc-am >=app-portage/elt-patches-20170815
      !<sys-devel/gettext-0.18.1.1-r3 || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15
      ) >=sys-devel/autoconf-2.69 >=sys-devel/libtool-2.4 app-arch/xz-utils
    DEPEND: virtual/libiconv >=sys-libs/zlib-1.2.8-r1:= icu? ( >=dev-libs/icu-51.2-r1:=
      ) lzma? ( >=app-arch/xz-utils-5.0.5-r1:= ) readline? ( sys-libs/readline:= )
      python_single_target_python3_10? ( dev-lang/python:3.10 >=dev-lang/python-exec-2:=[python_targets_python3_10]
      ) python_single_target_python3_7? ( dev-lang/python:3.7 >=dev-lang/python-exec-2:=[python_targets_python3_7]
      ) python_single_target_python3_9? ( dev-lang/python:3.9 >=dev-lang/python-exec-2:=[python_targets_python3_9]
      ) python_single_target_python3_8? ( dev-lang/python:3.8 >=dev-lang/python-exec-2:=[python_targets_python3_8]
      )
    IUSE: debug examples +ftp icu +lzma +python readline static-libs test python_single_target_python3_10
      python_single_target_python3_7 python_single_target_python3_9 python_single_target_python3_8
      python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
      python_targets_python3_8
    RDEPEND: virtual/libiconv >=sys-libs/zlib-1.2.8-r1:= icu? ( >=dev-libs/icu-51.2-r1:=
      ) lzma? ( >=app-arch/xz-utils-5.0.5-r1:= ) readline? ( sys-libs/readline:= )
    emerge.packages: dev-libs/libxml2:2
    kit: core-kit
    original.package.name: dev-libs/libxml2
    original.package.slot: "2"
    original.package.version: 2.11.5
